using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability2138.Domain;

public class TaobaoTbkDgNewuserOrderGetOrderData
{

    /*
        预估佣金
    */
    private string? commission;


    /*
        收货时间
    */
    private string? confirmReceiveTime;


    /*
        支付时间
    */
    private string? payTime;


    /*
        订单号
    */
    private string? orderNo;



    [JsonPropertyName("commission")]
    public string? Commission
    {
        get => commission;
        set => this.commission = value;
    }

    [JsonPropertyName("confirm_receive_time")]
    public string? ConfirmReceiveTime
    {
        get => confirmReceiveTime;
        set => this.confirmReceiveTime = value;
    }

    [JsonPropertyName("pay_time")]
    public string? PayTime
    {
        get => payTime;
        set => this.payTime = value;
    }

    [JsonPropertyName("order_no")]
    public string? OrderNo
    {
        get => orderNo;
        set => this.orderNo = value;
    }

}

